#version 450

in vec2 uv_out;
in vec3 normal_out;
in vec3 lighting;

out vec4 color;
out vec3 normals;

uniform sampler2D albedo_texture;
uniform vec4 tint;

void main() {
	vec4 albedo = texture(albedo_texture, uv_out);
	vec3 light = lighting;
	for (int i = 0; i < 3; i++) {
		if (light[i] < 0.05) {
			light[i] = 0.05;
		}
	}
	albedo.rgb *= light;

	// Cutoff
	if (albedo.a < 0.5) {
		discard;
	}

	// Force opaque on top of range
	if (tint.a > 0.95) {
		albedo.a = 1.0;
	}

	color = albedo * tint;
	normals = normal_out;
}